# mutation_ga_binary

A function which performs binary mutation

## Calling Sequence

    Mut_Indiv = mutation_ga_binary(Indiv,param)

## Arguments

Indiv

  the individual on which we will perform the mutation.

param

  a list of parameters.

  - "binary_length": the size of the binary code.

  - "multi_mut": a boolean. If %T, several random bits will be flipped.

  - "multi_mut_nd": the number of bits to be flipped. Works only when multi_mut is set to %T.

Mut_Indiv

  The mutated individual.

## Description

This function performs a classical multi-bits binary mutation.

## See Also

- mutation_ga_default
- crossover_ga_binary
- init_ga_default
- optim_ga